Subject: Re: bug#30737: [patch] global-abbrev-mode

From: Alex Branham <[email-masked]>
Date: Wed, 07 Mar 2018 13:08:24 -0600

On Wed 07 Mar 2018 at 12:03, Eli Zaretskii <[email-masked]> wrote:

> But what if you have a variable in a program called "teh"?  Or, as a
> more practical use case, consider this: in a few places in Emacs we
> have a variable named "defalt", because using "default" gets in the
> way for some reason.  Having this turned on globally will silently
> "correct" these variable names, and could cause you real trouble.

That's a fair worry. Ideally, what I'd like is to be able to use these
frequent misspells in much the same was I can use flyspell such that it
turns on in text modes and in comments in prog-modes. I'm not sure how
to implement that, though.

Maybe we could modify flyspell to do these quick auto-replacements using
its own abbrev table? Or something similar to an abbrev table, since
those are per-major mode...

Alex